Bug 10991 - "Backward/Forward" buttons in installer look unusual. "Previous/Next" is much better
: "Backward/Forward" buttons in installer look unusual. "Previous/Next" is much...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-wizard)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-03 08:38 by
Modified: 2007-03-17 12:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-03 08:38:28
"Backward/Forward" buttons in installer are coming from some web browser :) But 
it's not the browser, it's wizard. In the wizard mode accepted convention is to 
use "previous"/"next" buttons.
------- Comment #1 From 2007-03-05 13:50:27 -------
Нормально они называются, как в визардах
------- Comment #2 From 2007-03-05 14:10:51 -------
В Gnome HIG (http://developer.gnome.org/projects/gup/hig/2.0/windows-
assistant.html): Back/Forward.

В Eclipse (http://wiki.eclipse.org/index.php/User_Interface_Guidelines): Back/
Next.

В Windows (http://msdn.microsoft.com/library/default.asp?url=/library/en-us/msi/
setup/user_interface_wizard_behavior.asp): Previous/Next.

Предлагаю использовать одну из вышеприведённых схем, чтобы не плодить ещё одну 
свою (в любом случае кнопки backward нет ни в одной из вышеприведённых).

-> reopen
-> minor (интерфейсный glitch)
------- Comment #3 From 2007-03-07 08:46:02 -------
*** Bug 11034 has been marked as a duplicate of this bug. ***
------- Comment #4 From 2007-03-08 18:30:56 -------
Zerg, люди дело говорят, переименуй, пожалуйста, без лишних разговоров.
------- Comment #5 From 2007-03-08 18:40:45 -------
*** Bug 10852 has been marked as a duplicate of this bug. ***
------- Comment #6 From 2007-03-09 12:31:06 -------
Я не именую эти кнопки.
------- Comment #7 From 2007-03-09 19:44:18 -------
А мы разве с тобой не договорились что имена и переводы для "стандартных"
кнопок
визарда будет давать wizardface?

Иначе странно получается: символические предопределённые имена есть, а
текстовых
предопределённых имён нет. Тогда получается что я 'forward могу в wizard
назвать
"Наверх" ...
------- Comment #8 From 2007-03-12 13:51:54 -------
(In reply to comment #7)
> А мы разве с тобой не договорились что имена и переводы для "стандартных" 
кнопок
> визарда будет давать wizardface?
Мы точно не договаривались про какой-либо другой вариант.
Наверное, мне нужно убрать хак с переводами, чтоб стало понятнее.
Какое wizardface дает идентификатор/название для action, такое и будет.
Все, что делает сейчас браузер - пытается на хяляву вытащить иконки и переводы 
из Qt.
У него нет своего файла переводов. Поэтому, если слово в переводе Qt не 
встречается, он на халяву его не переведет - давайте перевод сами.

> Иначе странно получается: символические предопределённые имена есть, а 
текстовых
> предопределённых имён нет.
Да. Идентификаторы можно придумывать любые, поэтому на человеческом языке они 
могут называться как угодно. Например, poshelnaf с названием "Спасибо, идти на 
фиг"

> Тогда получается что я 'forward могу в wizard назвать "Наверх" ...
Ты даже можешь назвать 'backward, как "Назад", "Обратно" или "Возврат"
------- Comment #9 From 2007-03-12 14:03:39 -------
К тому же, позиция Стаса - лишнее подтветждение того, что на http-интерфейс 
было очень сильно забито(это кроме остальных признаков, замеченных мной 
последнее время), т.к. предложение Стаса конфликтует с http-браузером(в нем 
ведь никто аналогичный предложенный функционал не собирается реализовывать?).
------- Comment #10 From 2007-03-12 14:04:25 -------
(In reply to comment #9)
> на http-интерфейс
точнее, на http-браузер

------- Comment #11 From 2007-03-14 04:38:10 -------
Я не понял, Previous/Next будет сделан в конечное время?
------- Comment #12 From 2007-03-14 10:46:33 -------
Ну если у Зерга возникли непреодолимые сложности - то давайте я сделаю.
Заодно скажите как правильно переводить, а то не дай бог опять не стандартно
сделаю ;)
------- Comment #13 From 2007-03-14 13:17:35 -------
(In reply to comment #12)
> Ну если у Зерга возникли непреодолимые сложности
Это не только у Зерга, а у мантейнера любого alterator-browser-*
Это касается только переводов.


------- Comment #14 From 2007-03-16 01:46:39 -------
Fixed in alterator-wizard-0.4-alt2.
------- Comment #15 From 2007-03-17 12:24:21 -------
Да, теперь previous/next.